# Class CIM_OrderedComponent
extends CIM_Component

CIM_OrderedComponent is a generic association used to establish 'part of' relationships between ManagedElements. It arranges the PartComponents in a specific assigned order. The semantics of the order depends on the context and use by the referencing classes. For example, if this association is used to arrange settings in a hierarchical order, then this specifies the sequence in which the settings are applied.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_OrderedComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true

Description

string

CIM_OrderedComponent is a generic association used to establish 'part of' relationships between ManagedElements. It arranges the PartComponents in a specific assigned order. The semantics of the order depends on the context and use by the referencing classes. For example, if this association is used to arrange settings in a hierarchical order, then this specifies the sequence in which the settings are applied.

UMLPackagePath | string | CIM::Core::CoreElements
Version | string | 2.19.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AssignedSequence | uint64 |

Description

string

AssignedSequence is an unsigned integer 'n' that indicates the relative order of ManagedElement instances. When 'n' is a positive integer, it indicates a place in the sequence of members, with smaller integers indicating earlier positions in the sequence. The special value '0' indicates 'don't care'. If two or more members have the same non-zero sequence number, then the ordering between those members is irrelevant, but they must all be ordered at the appropriate place in the overall sequence. A series of examples will make ordering of members clearer: If all members have the same sequence number, regardless of whether it is '0' or non-zero, any order is acceptable. o The values: 1:MEMBER A 2:MEMBER B 1:MEMBER C 3:MEMBER D indicate two acceptable orders: A,C,B,D or C,A,B,D, since A and C can be ordered in either sequence, but only at the '1' position. Note that the non-zero sequence numbers need not start with '1', and they need not be consecutive. All that matters is their relative magnitude.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---

### Propagated Association References

Name | Class Origin | Reference Class
--- | --- | ---

## Class Methods